export default {
  ssr: false,
  server: { port: process.env.PORT },
  target: 'static',
  head: {
    title: 'PC Puma',
    htmlAttrs: {
      lang: 'es',
    },
    meta: [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      { hid: 'description', name: 'description', content: '' },
    ],
    link: [{ rel: 'icon', type: 'image/x-icon', href: '/favicon.ico' }],
  },
  css: [],
  plugins: ['~/plugins/inject.js', '~/plugins/chart.js', '~/plugins/moment_timezone.js'],
  components: true,
  buildModules: [],
  modules: ['@nuxtjs/axios', 'nuxt-buefy', '@nuxtjs/pwa', 'nuxt-socket-io'],
  axios: {},
  build: {},
  pwa: {
    manifest: {
      lang: 'es',
      name: 'PC Puma',
      short_name: 'PC Puma',
    },
  },
  io: {
    sockets: [{ name: 'main', url: process.env.SOCKET_URL }],
  },
  env: {
    api: process.env.API_URL,
    path: process.env.PATH_URL,
    hcaptchakey: process.env.HCAPTCHA_KEY,
    addHora: process.env.ADD_HORA,
     addHora2: process.env.ADD_HORA_2,
  },
}
